Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228872 - Appropriate Permission SSH key
Summary: Appropriate Permission SSH key
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: translation-quick-start-guide
Version: devel
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Manuel Ospina
QA Contact: A S Alam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-15 17:37 UTC by Diego Búrigo Zacarão
Modified: 2015-11-10 00:09 UTC (History)
4 users (show)

Fixed In Version: 0.3.8.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-05 00:42:02 UTC


Attachments (Terms of Use)
Patch for Accounts_And_Subscriptions.xml file (deleted)
2007-08-30 17:27 UTC, Diego Búrigo Zacarão
no flags Details | Diff

Description Diego Búrigo Zacarão 2007-02-15 17:37:50 UTC
Description of problem:

In session "2.1. Making an SSH Key" just says to make the following command
"chmod 700 ~/.ssh" to take the appropriate permission on the key and .ssh
directory. But sometimes is necessary to run another command to take appropriate
permission on the key.
The command is: "chmod 600 ~/.ssh/id*"
***So it could be put in the guide.***


Version-Release number of selected component (if applicable):

Revision 0.3.7


How reproducible:

In my case just runnnig "chmod 700 ~/.ssh" was not enough to me.
I got the following message when trying to have access the CVS:

   [diego@Rasther FEDORA]# chmod 700 ~/.ssh
   [diego@Rasther FEDORA]# cvs -z9 co translate/
   @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
   @         WARNING: UNPROTECTED PRIVATE KEY FILE!          @
   @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
   Permissions 0666 for '/diego/.ssh/id_dsa' are too open.
   It is recommended that your private key files are NOT accessible by others.
   This private key will be ignored.
   bad permissions: ignore key: /diego/.ssh/id_dsa
   Enter passphrase for key '/diego/.ssh/id_dsa':

Each time I put my password the same message was displayed again. (3 times)

So I have had to run "chmod 600 ~/.ssh/id*" to fix the problem.

Comment 1 Paul W. Frields 2007-02-17 14:36:59 UTC
AFAICT, this only happens if you copy your key from another location without
setting the permissions properly.  When you create a brand new key as the
instructions say, the proper permissions are automatically applied (700 for
~/.ssh/ and 600 for ~/.ssh/id_dsa).  By the way, you actually don't need to
remove permissions for the public key; 644 is the appropriate permission for
~/.ssh/id_dsa.pub.


Comment 2 Chester Cheng 2007-04-27 15:24:04 UTC
Hi Manuel,  could you have a look and unjam this bug?  Thanks.

Comment 3 Noriko Mizumoto 2007-08-29 04:47:05 UTC
Manuel,

I just have completed splitting job of this guide.
Please cvs up, so that you can get updated fileS.
Now quick-start-guide/en_US/ directory contains multiple files based on chapter.
For this bug, you should be able to edit Accounts_And_Subscriptions.xml file.
There may be some people modifying the files, it would be better to send a memo
into fedora-trans-list/fedora-docs-list.

Once you update, could you also kindly make a comment at
http://fedoraproject.org/wiki/L10N/Tasks/TQSG?

Thank you so much!

noriko


Comment 4 Diego Búrigo Zacarão 2007-08-30 17:27:29 UTC
Created attachment 181401 [details]
Patch for Accounts_And_Subscriptions.xml file

I have created a patch for that file if it's interesting.

Thanks

Comment 5 Noriko Mizumoto 2007-09-04 03:36:43 UTC
Hi Diego

Thank you so much for your patch.
Do you mind if I ask you to apply your patch as update into that file?

Many thanks
noriko

Comment 6 Diego Búrigo Zacarão 2007-09-04 13:40:04 UTC
Hi, Nokiro.

It's done! I have committed the changes to the CVS.

Now, Paul will check out it and I hope everything is OK.

Thank you

Comment 7 Noriko Mizumoto 2007-09-05 00:42:02 UTC
Diego and Paul, 

Thank you very much!
Now  TQSG 0.3.8.1 en_US   is up online.



Note You need to log in before you can comment on or make changes to this bug.